Advisories ยป MGASA-2014-0258

Updated php packages fix CVE-2014-0237-8

Publication date: 06 Jun 2014
Type: security
Affected Mageia releases : 3 , 4
CVE: CVE-2014-0237 , CVE-2014-0238

Description

Updated php packages fix security vulnerabilities:

A flaw was found in the way file's Composite Document Files (CDF) format
parser handle CDF files with many summary info entries.  The
cdf_unpack_summary_info() function unnecessarily repeatedly read the info
from the same offset.  This led to many file_printf() calls in
cdf_file_property_info(), which caused file to use an excessive amount of
CPU time when parsing a specially-crafted CDF file (CVE-2014-0237).

A flaw was found in the way file parsed property information from Composite
Document Files (CDF) files.  A property entry with 0 elements triggers an
infinite loop (CVE-2014-0238).

PHP contains a bundled copy of the file utility's libmagic library, so it
was vulnerable to this issue. It has been updated to versions 5.4.29 and
5.5.13, which fix this issue and several other bugs.

Additionally, php-apc has been rebuilt against the updated php packages.
                

References

SRPMS

4/core

3/core